import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { InviteUserEntity, InviteUserSpaceEntity } from '../entities';

@Injectable()
export class InviteUserRepository extends Repository<InviteUserEntity> {
  constructor(private dataSource: DataSource) {
    super(InviteUserEntity, dataSource.createEntityManager());
  }
}
@Injectable()
export class InviteUserSpaceRepository extends Repository<InviteUserSpaceEntity> {
  constructor(private dataSource: DataSource) {
    super(InviteUserSpaceEntity, dataSource.createEntityManager());
  }
}
