import { IsNotEmpty, IsUUID, IsString } from 'class-validator';

export class NewTagDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  name: string;

  @IsUUID()
  @IsNotEmpty()
  productId: string;

  @IsUUID()
  @IsNotEmpty()
  projectId: string;
}
