import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { SqlLoaderService } from '@app/common/helper/services/sql-loader.service';
import { AqiService } from './services';
import { AqiController } from './controllers';
@Module({
  imports: [ConfigModule],
  controllers: [AqiController],
  providers: [AqiService, SqlLoaderService],
})
export class AqiModule {}
