import { ICommand } from '@nestjs/cqrs';
import { SpaceModelEntity } from '@app/common/modules/space-model';
import { IUpdatedSpaceAllocations } from '../interfaces';
import { SpaceEntity } from '@app/common/modules/space/entities/space.entity';

export class PropogateUpdateSpaceModelProductAllocationCommand
  implements ICommand
{
  constructor(
    public readonly param: {
      spaceModel: SpaceModelEntity;
      updatedAllocations: IUpdatedSpaceAllocations[];
      spaces: SpaceEntity[];
    },
  ) {}
}
