import { ApiProperty } from '@nestjs/swagger';
import { IsUUID } from 'class-validator';

export class UserParamDto {
  @ApiProperty({
    description: 'UUID of the user',
    example: 'e7e8ddf5-3f7d-4e3d-bf3e-8c745b9b7d2c',
  })
  @IsUUID()
  userUuid: string;
}
