import { DeviceEntity } from '../modules/device/entities';

export function addSpaceUuidToDevices(
  devices: DeviceEntity[],
  spaceUuid: string,
): DeviceEntity[] {
  return devices.map((device) => {
    (device as any).spaceUuid = spaceUuid;
    return device;
  });
}
