import { ProjectParam } from '@app/common/dto/project-param.dto';
import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AutomationParamDto extends ProjectParam {
  @ApiProperty({
    description: 'TuyaId of the automation',
    example: 'SfFi2Tbn09btes84',
  })
  @IsString()
  @IsNotEmpty()
  automationUuid: string;
}
