import { ApiProperty } from '@nestjs/swagger';
import { IsUUID } from 'class-validator';
import { GetSpaceParam } from '../get.space.param';

export class GetSubSpaceParam extends GetSpaceParam {
  @ApiProperty({
    description: 'UUID of the sub space',
    example: 'd290f1ee-6c54-4b01-90e6-d701748f0851',
  })
  @IsUUID()
  subSpaceUuid: string;
}
